Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 10.3.x for %s
  5. Search main for %s
  6. Other projects
Title Object type File name Summary
NegotiationMiddleware::$formats property core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php Contains a hashmap of format as key and mimetype as value.
NegotiationMiddleware::registerFormat function core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php Registers a format for a given MIME type.
NegotiationMiddleware::__construct function core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php Constructs a new NegotiationMiddleware.
NegotiationMiddlewareTest class core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Tests Drupal\Core\StackMiddleware\NegotiationMiddleware.
NegotiationMiddlewareTest.php file core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php
NegotiationMiddlewareTest::$contentNegotiation property core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php
NegotiationMiddlewareTest::$httpKernel property core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php
NegotiationMiddlewareTest::setUp function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php
NegotiationMiddlewareTest::testAjaxIframeUpload function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Tests the getContentType() method with AJAX iframe upload.
NegotiationMiddlewareTest::testFormatViaQueryParameter function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Tests the specifying a format via query parameters gets used.
NegotiationMiddlewareTest::testHandle function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Tests that handle() correctly hands off to sub application.
NegotiationMiddlewareTest::testSetFormat function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Tests set format.
NegotiationMiddlewareTest::testUnknownContentTypeButAjaxRequest function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Tests the getContentType() method when no priority format is found but it's an AJAX request.
NegotiationMiddlewareTest::testUnknownContentTypeReturnsNull function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Tests the getContentType() method when no priority format is found.
NegotiationSelectedForm class core/modules/language/src/Form/NegotiationSelectedForm.php Configure the selected language negotiation method for this site.
NegotiationSelectedForm.php file core/modules/language/src/Form/NegotiationSelectedForm.php
NegotiationSelectedForm::buildForm function core/modules/language/src/Form/NegotiationSelectedForm.php Form constructor.
NegotiationSelectedForm::getEditableConfigNames function core/modules/language/src/Form/NegotiationSelectedForm.php Gets the configuration names that will be editable.
NegotiationSelectedForm::getFormId function core/modules/language/src/Form/NegotiationSelectedForm.php Returns a unique string identifying the form.
NegotiationSelectedForm::submitForm function core/modules/language/src/Form/NegotiationSelectedForm.php Form submission handler.
NegotiationSessionForm class core/modules/language/src/Form/NegotiationSessionForm.php Configure the session language negotiation method for this site.
NegotiationSessionForm.php file core/modules/language/src/Form/NegotiationSessionForm.php
NegotiationSessionForm::buildForm function core/modules/language/src/Form/NegotiationSessionForm.php Form constructor.
NegotiationSessionForm::getEditableConfigNames function core/modules/language/src/Form/NegotiationSessionForm.php Gets the configuration names that will be editable.
NegotiationSessionForm::getFormId function core/modules/language/src/Form/NegotiationSessionForm.php Returns a unique string identifying the form.
NegotiationSessionForm::submitForm function core/modules/language/src/Form/NegotiationSessionForm.php Form submission handler.
NegotiationUrlForm::getEditableConfigNames function core/modules/language/src/Form/NegotiationUrlForm.php Gets the configuration names that will be editable.
NegotiationUrlForm::submitForm function core/modules/language/src/Form/NegotiationUrlForm.php Form submission handler.
NegotiationUrlForm::__construct function core/modules/language/src/Form/NegotiationUrlForm.php Constructs a new NegotiationUrlForm object.
NegotiatorBase class core/modules/jsonapi/src/Revisions/NegotiatorBase.php Base implementation for version negotiators.
NegotiatorBase.php file core/modules/jsonapi/src/Revisions/NegotiatorBase.php
NegotiatorBase::$entityTypeManager property core/modules/jsonapi/src/Revisions/NegotiatorBase.php The entity type manager to load the revision.
NegotiatorBase::ensureVersionExists function core/modules/jsonapi/src/Revisions/NegotiatorBase.php Helper method that ensures that a version exists.
NegotiatorBase::getRevision function core/modules/jsonapi/src/Revisions/NegotiatorBase.php Gets the identified revision.
NegotiatorBase::getRevisionId function core/modules/jsonapi/src/Revisions/NegotiatorBase.php Gets the revision ID.
NegotiatorBase::loadRevision function core/modules/jsonapi/src/Revisions/NegotiatorBase.php Loads an entity revision.
NegotiatorBase::__construct function core/modules/jsonapi/src/Revisions/NegotiatorBase.php Constructs a version negotiator instance.
NestedArray class core/lib/Drupal/Component/Utility/NestedArray.php Provides methods for working with nested arrays of variable depth.
NestedArray.php file core/lib/Drupal/Component/Utility/NestedArray.php
NestedArray::filter function core/lib/Drupal/Component/Utility/NestedArray.php Filters a nested array recursively.
NestedArray::getValue function core/lib/Drupal/Component/Utility/NestedArray.php Retrieves a value from a nested array with variable depth.
NestedArray::keyExists function core/lib/Drupal/Component/Utility/NestedArray.php Determines whether a nested array contains the requested keys.
NestedArray::mergeDeep function core/lib/Drupal/Component/Utility/NestedArray.php Merges multiple arrays, recursively, and returns the merged array.
NestedArray::mergeDeepArray function core/lib/Drupal/Component/Utility/NestedArray.php Merges multiple arrays, recursively, and returns the merged array.
NestedArray::setValue function core/lib/Drupal/Component/Utility/NestedArray.php Sets a value in a nested array with variable depth.
NestedArray::unsetValue function core/lib/Drupal/Component/Utility/NestedArray.php Unsets a value in a nested array with variable depth.
NestedArrayTest class core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php Tests Drupal\Component\Utility\NestedArray.
NestedArrayTest.php file core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php
NestedArrayTest::$form property core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php Form array to check.
NestedArrayTest::$parents property core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php Array of parents for the nested element.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.